Name: glabels
Version: 1.93.3
Release: alt3

Summary: glabels is a GNOME program to create labels and business cards
Summary(ru_RU.KOI8-R): glabels  GNOME -     
License: GPL
Group: Graphics
Url: http://snaught.com/glabels/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %name-%version.tar.bz2
Source1: %name-%version.ru.po
Patch: %name-%version-crop.patch
Patch1: %name-%version-etersoft.patch

# Automatically added by buildreq on Sat May 15 2004
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound fontconfig freetype2 glib2-devel glibc-devel-static gnome-vfs2-devel hostinfo libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeprint2-devel libgnomeprintui-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libxml2-devel pkgconfig scrollkeeper zlib-devel
Requires: lib%name = %version-%release

%description
gLabels is a lightweight program for creating labels and
business cards for the GNOME desktop environment.
It is designed to work with various laser/ink-jet peel-off
label and business card sheets that you'll find at most office
supply stores.

%description -l ru_RU.KOI8-R
gLabels --        
  GNOME.      
   ,     
,    .

%package -n lib%name
Summary: library for glabels
Group: Graphics

%description -n lib%name
This package contains the library for glabels program.

%package -n lib%name-devel
Summary: header files for glabels library
Group: Graphics
Requires: lib%name = %version-%release

%description -n lib%{name}-devel
This package contains headers files for development with glabels library.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

cp -f %SOURCE1 po/ru.po
%__subst "s|<Alias.*>||" data/*.xml

%build
#CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ./autogen.sh --prefix=%prefix --enable-platform-gnome-2
%configure --enable-platform-gnome-2 --disable-dependency-tracking
%make_build

%install
%makeinstall
mkdir -p $RPM_BUILD_ROOT%_menudir
cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): command="%name" \\
section="Applications/Publishing" \\
title="Glabels" \\
longtitle="Program to create labels and business cards" \\
genericname="Labels Editor" \\
icon="%name.png" \\
needs="x11"
EOF

install -D -m644 pixmaps/%name-icon.png $RPM_BUILD_ROOT%_iconsdir/%name.png
%__rm -rf $RPM_BUILD_ROOT/var/lib/scrollkeeper

%find_lang %name

%post
%update_menus
%update_scrollkeeper

%postun
%clean_menus
%clean_scrollkeeper

%post -n lib%name
%post_ldconfig

%postun -n lib%name
%postun_ldconfig

%files -f %name.lang
%doc README ChangeLog NEWS AUTHORS INSTALL
%_bindir/%name
%_bindir/%name-batch
%_datadir/applications/%{name}*
%_datadir/gnome/help/%name
%_datadir/%name
%_datadir/pixmaps/%name
%_datadir/pixmaps/%name.png
%_iconsdir/*
%_menudir/%name
%_datadir/mime-info/*
%_datadir/omf/%name/*
%_datadir/application-registry/*

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_includedir/lib%name

%changelog
* Sat Jun 26 2004 Vitaly Lipatov <lav@altlinux.ru> 1.93.3-alt3
- add ldconfig in post/postun for lib package
- remove duplicates in labels
- update ru.po
- add patch for change crop offset

* Fri Jun 18 2004 Vitaly Lipatov <lav@altlinux.ru> 1.93.3-alt2
- fix menu entry (move to Publishing)

* Thu Jun 03 2004 Vitaly Lipatov <lav@altlinux.ru> 1.93.3-alt1
- new version
- update russian translation
- move libglabels and headers to separate packages
- remove COPYING from doc

* Sat Sep 13 2003 Vitaly Lipatov <lav@altlinux.ru> 1.92.0-alt1
- release
- update russian translation

* Mon Jan 06 2003 Vitaly Lipatov <lav@altlinux.ru> 1.92.0-alt0.2cvs
- cvs build from Dec 29 2002
- add required post and postun sections
- update russian translation
- add genericname in menu
- cleanup spec

* Thu Dec 26 2002 Vitaly Lipatov <lav@altlinux.ru> 1.92.0-alt0.1cvs
- Alexey Lubimov <avl@l14.ru>:
	- cvs build
	- fix input russian letters in text label
	- partial fix freeze font combo in text label when set not listed font. (use arrow keys)
- split in two package (glabels-batch)

* Fri Nov 01 2002 Vitaly Lipatov <lav@altlinux.ru> 1.90.0-alt2
- add patch for ported to libgnomeprint(ui)-2.2 by Alexey Lubimov <avl@l14.ru>
- repeat build for GNOME2 (previous is lost)
- remove unuseful dependencies

* Sun Oct 27 2002 Vitaly Lipatov <lav@altlinux.ru> 1.90.0-alt1
- 1.90.0 for GNOME2
- update russian translation
- update spec

* Fri Sep 06 2002 Vitaly Lipatov <lav@altlinux.ru> 0.4.5-alt1
- new version

* Fri Jun 28 2002 Vitaly Lipatov <lav@altlinux.ru> 0.4.3-alt1
- new version
- russian translation
- spec updated

* Mon Dec 10 2001 AEN <aen@logic.ru> 0.3.2-alt1
- new version

* Mon Nov 12 2001 AEN <aen@logic.ru> 0.2.3-alt1
- new version

* Tue Oct 16 2001 AEN <aen@logic.ru> 0.2.0-alt1
- new version
* Tue Oct 2 2001 AEN <aen@logic.ru> 0.1.4-alt1
- build for Sisyphus
* Sat May 19 2001 Jim Evins <evins@snaught.com>
- Created

